BBKEYS(1)

NAME
bbkeys - a general XWindow keygrabber

SYNOPSIS
bbkeys [OPTION]

DESCRIPTION
bbkeys is the keygrabber for the blackbox window manager. bbkeys handles all keybindings and keyboard shortcuts for blackbox. It uses blackbox's Image classes for rendering its look and feel so that bbkeys will render itself to match whatever blackbox style is used. It is highly configurable either via the bbconf GUI utility or the (now deprecated) bbkeysconf GUI utility or by hand-editting bbkeys's config file.

USAGE
On startup, bbkeys reads $HOME/.bbkeysrc, which you can edit by hand or through bbconf or bbkeysconf. This is now configurable through a command-line switch as show in OPTIONS.

OPTIONS
A summary of the options supported by bbkeys is included below.

-d or --display <display name>
    X server to connect to

-D or --debug
    print debugging information

-c or --config <filename>
    use alternate config file. (default is ~/.bbkeysrc)

-v or --version
    display version number and exit

-h or --help
    display help message

FILES
Default: $datadir=/usr/local/share/
$HOME/.bbkeysrc maintains keybindings
See bbkeysrc(5)

VERSION
0.9.1

BUGS
This application is perfect and should solve all of your problems, up to and including male pattern baldness and world hunger. Should you, against all odds, find any bugs, please report them to the author.

SEE ALSO
bbkeysrc(5)

AUTHOR
Jason 'vanRijn' Kasper <vR@movingparts.net> - bbkeys
Jan Schaumann <jschauma@netmeister.org> - this man page